Subject: [RTG-DIR] Second call for help with a VRRP Errata Report

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 4 Dec 2014 13:28:04 -0000

Second appeal for help. Also including the Routing Directorate.

Thanks,
Adrian

> -----Original Message-----
> From: vrrp [mailto:[email-masked]] On Behalf Of Adrian Farrel
> Sent: 18 November 2014 18:24
> To: [email-masked]
> Subject: [VRRP] Help needed with a VRRP Errata Report
> 
> Hi VRRP enthusiasts,
> 
> A report has been submitted against RFC6527, "Definitions of Managed Objects
> for
> Virtual Router Redundancy Protocol Version 3 (VRRPv3)". You can see it at
> http://www.rfc-editor.org/errata_search.php?rfc=6527&eid=4168
> 
> The essence is that the Description clause of the vrrpv3OperationsAcceptMode
> object appears to limit its meaning to IPv6 addresses. However, section 6.1 of
> RFC 5798 describes Accept_Mode as applying to IPvX which implies IPv4 or IPv6.
> 
> Instruction 635 does appear to be limited to IPv6, but instruction 650 is
> clearly relevant to both IPv4 and IPv6.
> 
> I think the report is correct.
> 
> Opinions?
> 
> Thanks,
> Adrian
> 
> _______________________________________________
> vrrp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/vrrp

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 4 Dec 2014 14:19:33 +0000

Hi Adrian, 

I agree with the errata. Accept_Mode applies to both IPv4 and IPv6. The
RFC 6527 author may have been confused by the statement that IPv6 Neighbor
Solicitations and Neighbor Advertisements (i.e., the address resolution
mechanism in ND) must be accept when Accept_Mode is FALSE.

Thanks,
Acee 
P.S. I have never implemented VRRPv3 but reviewed the document prior to
publication and have implemented VRRPv2 twice and have overseen the
implementation of a proprietary extension equivalent RFC 5798 Accept_Mode.

---

From: "Kalyan (Srinivas)Tata" <[email-masked]>
Date: Fri, 5 Dec 2014 01:27:05 +0000

Hi Adrian,
The Errata Report is correct based on RFC 5798. 

Thanks
kalyan

-----Original Message-----
From: vrrp [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Thursday, December 04, 2014 5:28 AM
To: [email-masked]
Cc: [email-masked]
Subject: [VRRP] Second call for help with a VRRP Errata Report

Thanks,
Adrian

> A report has been submitted against RFC6527, "Definitions of Managed 
> Objects for Virtual Router Redundancy Protocol Version 3 (VRRPv3)". 
> You can see it at
> The essence is that the Description clause of the 
> vrrpv3OperationsAcceptMode object appears to limit its meaning to IPv6 
> addresses. However, section 6.1 of RFC 5798 describes Accept_Mode as applying to IPvX which implies IPv4 or IPv6.
> 
> Instruction 635 does appear to be limited to IPv6, but instruction 650 
> is clearly relevant to both IPv4 and IPv6.
> 

Email secured by Check Point.